
SetLogFile("C4.log");
GetVersion();

AttachSpec("../magma/spec");

Zx<x> := PolynomialRing(Rationals());
G := CyclicGroup(4);


/***************************************************
 *     Verify conjecture for G=C4, p=2
 ***************************************************/

time pols := GlobalRepresentations( G, 2 : JR );
pols;

for f in pols do
    L := NumberField(f[1]);
    lec := LECcreateRec(L, 2);
    LECverify(~lec);
end for;


