
SetLogFile("V4.log");
GetVersion();

AttachSpec("../magma/spec");

Zx<x> := PolynomialRing(Rationals());
G := DirectProduct(CyclicGroup(2),CyclicGroup(2));


/***************************************************
 *     Verify conjecture for G=V4, p=2
 ***************************************************/

time pols := GlobalRepresentations( G, 2 : JR );
pols;

for f in pols do
    L := NumberField(f[1]);
    lec := LECcreateRec(L, 2);
    LECverify(~lec);
end for;


