
SetLogFile("A4.log");
GetVersion();

AttachSpec("../magma/spec");

Zx<x> := PolynomialRing(Rationals());

/***************************************************
 *     Verify conjecture for G=A4, p=2
 ***************************************************/

// polynomials were computed separately, see
// deg12-polynomials.m

// just one extension
f := x^12-6*x^11-30*x^10+182*x^9+173*x^8-1432*x^7+628*x^6+1472*x^5-173*x^4-650*x^3-238*x^2-30*x-1;

L := NumberField(f);
lec := LECcreateRec(L, 2);
LECverify(~lec);


/***************************************************
 *     Verify conjecture for G=A4, p=3
 ***************************************************/

// polynomials were computed separately, see
// deg12-polynomials.m

// --> there exist no A4-extensions of Q_3

